> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Job

> Check job status of Download Form16



## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/traces/deductors/forms/{certificate_type}/status
openapi: 3.0.1
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/traces/deductors/forms/{certificate_type}/status:
    post:
      tags:
        - TDS Certificate
      summary: Poll Certificate Job Status
      parameters:
        - name: certificate_type
          in: path
          description: ''
          required: true
          example: form16a
          schema:
            type: string
        - name: job_id
          in: query
          description: Check job status of Download Form16
          required: true
          example: '{{job_id}}'
          schema:
            type: string
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                username:
                  type: string
                password:
                  type: string
                tan:
                  type: string
              required:
                - '@entity'
            examples:
              200 - Success:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: sandbox.co
                  password: Sandbox&2023
                  tan: AHMS45586C
                summary: 200 - Success
              200 Job Queued:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: 200 Job Queued
              200 Job In Progress:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: 200 Job In Progress
              '200 Job Succeeded: Form 16':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                  username: T.STARK
                  password: TEST1234
                  tan: AHMA09719B
                summary: '200 Job Succeeded: Form 16'
              '200 Job Succeeded: Form 16A':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: '200 Job Succeeded: Form 16A'
              '200 Job Failed: Invalid Credentials':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: '200 Job Failed: Invalid Credentials'
              '200 Job Failed: Invalid Security Captcha':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: '200 Job Failed: Invalid Security Captcha'
              '200 Job Failed: Invalid TAN':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: '200 Job Failed: Invalid TAN'
              '200 Job Failed: Form Not Available':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: '200 Job Failed: Form Not Available'
              '200 Job Failed: Job Already Submitted':
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: '200 Job Failed: Job Already Submitted'
              422 - Unprocessable Entity:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: 422 - Unprocessable Entity
              521 Data Not Found:
                value:
                  '@entity': in.co.sandbox.tds.compliance.traces.credentials
                summary: 521 Data Not Found
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Job Queued
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          financial_year:
                            type: string
                          form:
                            type: string
                          status:
                            type: string
                          remember_me:
                            type: boolean
                          created_at:
                            type: integer
                  - title: Job Succeeded
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          financial_year:
                            type: string
                          status:
                            type: string
                          remember_me:
                            type: boolean
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          certificate_zip_urls:
                            type: array
                            items:
                              type: string
                              format: uri
                  - title: Job Failed
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          financial_year:
                            type: string
                          status:
                            type: string
                          remember_me:
                            type: boolean
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          message:
                            type: string
              examples:
                200 - Success:
                  summary: 200 - Success
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 52a52404-0b10-4029-acda-967eebcd5bce
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: created
                      remember_me: true
                      created_at: 1716870600000
                200 Job Queued:
                  summary: 200 Job Queued
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 32a4c93f-cff5-4c78-b90f-590f82ebd169
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: queued
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716871020000
                200 Job In Progress:
                  summary: 200 Job In Progress
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 474c9caf-e7e9-4ed7-ac28-9450a9218056
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: in_progress
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716871020000
                '200 Job Succeeded: Form 16':
                  summary: '200 Job Succeeded: Form 16'
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                      tan: AHMA09719B
                      quarter: Q4
                      form: 24Q
                      financial_year: FY 2023-24
                      status: succeeded
                      remember_me: false
                      created_at: 1716870600000
                      updated_at: 1716871500000
                      certificate_zip_urls:
                        - >-
                          https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q.zip
                        - >-
                          https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q.zip
                '200 Job Succeeded: Form 16A':
                  summary: '200 Job Succeeded: Form 16A'
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 67addd14-df35-4e74-b27b-2333784f5f24
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: succeeded
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716871500000
                      certificate_zip_urls:
                        - >-
                          https://in-co-sandbox-tds-compliance-certificate-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/e5c2f029-8ddf-48e4-bcf2-c40277f0da20/1_form16a_pdf.zip
                        - >-
                          https://in-co-sandbox-tds-compliance-certificate-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/e5c2f029-8ddf-48e4-bcf2-c40277f0da20/2_form16a_pdf.zip
                '200 Job Failed: Invalid Credentials':
                  summary: '200 Job Failed: Invalid Credentials'
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 0b205f2c-d27d-4bf3-b128-c6b16ebc065d
                      tan: AHMA09719B
                      quarter: Q4
                      form: 27Q
                      financial_year: FY 2023-24
                      status: failed
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716870900000
                      message: Invalid credentials
                '200 Job Failed: Invalid Security Captcha':
                  summary: '200 Job Failed: Invalid Security Captcha'
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: c6cb65db-51dd-4369-882c-b90faccaeb28
                      tan: AHMA09719B
                      quarter: Q4
                      form: 27Q
                      financial_year: FY 2023-24
                      status: failed
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716870900000
                      message: Invalid security captcha
                '200 Job Failed: Invalid TAN':
                  summary: '200 Job Failed: Invalid TAN'
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: ff78e6e2-3ea9-402b-9a09-a88c2413165f
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      status: failed
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716870900000
                      message: Invalid tan
                '200 Job Failed: Form Not Available':
                  summary: '200 Job Failed: Form Not Available'
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 3e93481b-b9fb-41f7-9eeb-f76369b8291e
                      tan: AHMA09719B
                      quarter: Q4
                      form: 27Q
                      financial_year: FY 2023-24
                      status: failed
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716871020000
                      message: >-
                        Form not available for the given quarter and financial
                        year
                '200 Job Failed: Job Already Submitted':
                  summary: '200 Job Failed: Job Already Submitted'
                  value:
                    code: 200
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 28cc5c28-db2d-4224-be5c-9842c213c100
                      tan: AHMA09719B
                      quarter: Q4
                      form: 27Q
                      financial_year: FY 2023-24
                      status: failed
                      remember_me: true
                      created_at: 1716870600000
                      updated_at: 1716871020000
                      message: >-
                        Job already submitted for the given quarter and
                        financial year
          headers: {}
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                422 - Unprocessable Entity:
                  summary: 422 - Unprocessable Entity
                  value:
                    code: 422
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Invalid Job ID: 123313jojj'
          headers: {}
        '521':
          description: 521 - Data Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                521 Data Not Found:
                  summary: 521 Data Not Found
                  value:
                    code: 521
                    timestamp: 1716870600000
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    message: 'Data not found: 4d46a915-acf5-405d-b79c-e7672375304a'
          headers: {}
      deprecated: false
      security: []

````